org.eclipse.wst.jsdt.chromium

## Interface TabDebugEventListener

    public interface TabDebugEventListener

This interface is used by the SDK to report browser-related debug events for a certain tab to the clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `closed()` Reports a closing event on the target tab.
`DebugEventListener` `getDebugEventListener()` Every `TabDebugEventListener` should aggregate `DebugEventListener`.
`void` `navigated(java.lang.String newUrl)` Reports a navigation event on the target tab.

### Method Detail

#### getDebugEventListener

    DebugEventListener getDebugEventListener()

Every `TabDebugEventListener` should aggregate `DebugEventListener`.

#### navigated

    void navigated(java.lang.String newUrl)

Reports a navigation event on the target tab.

Parameters:
  `newUrl` - the new URL of the debugged tab

#### closed

    void closed()

Reports a closing event on the target tab. All following communications with the associated tab are illegal. This call will be followed by call to `DebugEventListener.disconnected()`. TODO: consider adding close reason here.